Skip to content

Pause and resume recording for user

Pause recording (mute) of the current active call of a user:

POST /api/v2/users/<user-id>.json/muting?action=mute

Resume recording (unmute):

POST /api/v2/users/<user-id>.json/muting?action=unmute

The request body is empty. When the user has several active calls, the most recent one is affected. To address a specific call, see Pause and resume recording.

The role of the API user needs the Pause recording action of the Calls permission for the call.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK Recording has been paused or resumed for the current active call of the user
400 Bad Request The action parameter is missing or is not mute or unmute
403 Forbidden The request cannot be completed because API user has no permission to pause or resume recording of this call. Verify the role permissions
404 Not Found The user has no active call right now ({"error": "NotFound", "explanation": "No active calls found for this user"})
409 Conflict The call ended while the request was processed ({"error": "InvalidState", "explanation": "Call is not active"})
500 Internal Server Error The recorder could not be reached ({"error": "InternalError", "explanation": "Could not access recording service"})